TTF_GetFontScript(3)

NAME
TTF_GetFontScript - Get the script used for text shaping a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

Uint32 TTF_GetFontScript(TTF_Font *font);

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns an

or 0 if a script hasn't been set.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_TagToString(3)